Bug 57548 - Web Inspector: Separate sendMessageToFrontend function from InspectorClient to individual interface
Summary: Web Inspector: Separate sendMessageToFrontend function from InspectorClient t...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-31 08:20 PDT by Sergey Vorobyev
Modified: 2011-04-04 02:38 PDT (History)
11 users (show)

See Also:


Attachments
Patch, separated sendMessageToFrontend from InspectorClient (13.37 KB, patch)
2011-04-01 05:46 PDT, Sergey Vorobyev
yurys: review-
Details | Formatted Diff | Diff
Remove InspectorClient from CodeGeneratorInspector (15.64 KB, patch)
2011-04-01 07:50 PDT, Sergey Vorobyev
no flags Details | Formatted Diff | Diff
Fixed order of files in project.xcode (15.85 KB, patch)
2011-04-04 02:16 PDT, Sergey Vorobyev
yurys: review+
sergeyvorobyev: commit-queue?
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Vorobyev 2011-03-31 08:20:36 PDT
For improve inspector architecture and implement background network events collection,
we need split InspectorClient, and separate sendMessageToFrontend to another class.
Comment 1 Sergey Vorobyev 2011-04-01 05:46:55 PDT
Created attachment 87846 [details]
Patch, separated sendMessageToFrontend from InspectorClient
Comment 2 Yury Semikhatsky 2011-04-01 06:38:21 PDT
Comment on attachment 87846 [details]
Patch, separated sendMessageToFrontend from InspectorClient

View in context: https://bugs.webkit.org/attachment.cgi?id=87846&action=review

> Source/WebCore/WebCore.gypi:3224
> +            'inspector/InspectorFrontendChannel.h',

Mind alphabetic order.

> Source/WebCore/WebCore.xcodeproj/project.pbxproj:22772
> +				227777601345DEA9008EA455 /* InspectorFrontendChannel.h in Headers */,

Other headers in this section seem to be sorted, please keep the order.

> Source/WebCore/inspector/CodeGeneratorInspector.pm:100
> +$typeTransform{"InspectorFrontendChannel"} = {

I think may not need "InspectorClient" forward declaration and header import anymore, please check and remove corresponding code from the generator if it is so.

> Source/WebCore/inspector/InspectorClient.h:29
> +#include "InspectorFrontendChannel.h"

Please add  Copyright (C) 2011 Google Inc.... header to the license above since you're modifying this file.
Comment 3 Sergey Vorobyev 2011-04-01 07:50:52 PDT
Created attachment 87856 [details]
Remove InspectorClient from CodeGeneratorInspector
Comment 4 Sergey Vorobyev 2011-04-01 07:51:20 PDT
Comment on attachment 87846 [details]
Patch, separated sendMessageToFrontend from InspectorClient

View in context: https://bugs.webkit.org/attachment.cgi?id=87846&action=review

>> Source/WebCore/WebCore.gypi:3224
>> +            'inspector/InspectorFrontendChannel.h',
> 
> Mind alphabetic order.

Done.

>> Source/WebCore/WebCore.xcodeproj/project.pbxproj:22772
>> +				227777601345DEA9008EA455 /* InspectorFrontendChannel.h in Headers */,
> 
> Other headers in this section seem to be sorted, please keep the order.

This is auto-generated change, I just added file to the project in xcode

>> Source/WebCore/inspector/CodeGeneratorInspector.pm:100
>> +$typeTransform{"InspectorFrontendChannel"} = {
> 
> I think may not need "InspectorClient" forward declaration and header import anymore, please check and remove corresponding code from the generator if it is so.

Done.

>> Source/WebCore/inspector/InspectorClient.h:29
>> +#include "InspectorFrontendChannel.h"
> 
> Please add  Copyright (C) 2011 Google Inc.... header to the license above since you're modifying this file.

Done.
Comment 5 Yury Semikhatsky 2011-04-04 00:57:00 PDT
(In reply to comment #4)
> (From update of attachment 87846 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=87846&action=review
> >> Source/WebCore/WebCore.xcodeproj/project.pbxproj:22772
> >> +				227777601345DEA9008EA455 /* InspectorFrontendChannel.h in Headers */,
> > 
> > Other headers in this section seem to be sorted, please keep the order.
> 
I know, but sometimes they need manual intervention and that is why other headers in the same section are sorted.
Comment 6 Sergey Vorobyev 2011-04-04 02:16:22 PDT
Created attachment 88046 [details]
Fixed order of files in project.xcode
Comment 7 Yury Semikhatsky 2011-04-04 02:38:34 PDT
Committed r82810: <http://trac.webkit.org/changeset/82810>